Wir der Download Mod kompatibel mit dem neuen phpBB 3.1 sein

Support zu den Modifikationen (MODs) von Entwickler OXPUS für das phpBB 3.0.x
snej
Beiträge: 18
Registriert: Mi 9. Apr 2014, 12:45

Re: Wir der Download Mod kompatibel mit dem neuen phpBB 3.1

Beitrag von snej » So 22. Feb 2015, 10:53

Vielen Dank für deine Antwort.

Ich habe nun phpbb 3.1

Alle Download-Datensätze habe ich gesichert und dann gelöscht.
Den Ordner oxpus habe ich in den Ordner ext kopiert.

Aber nun kommt folgende Fehlermeldung, wenn ich im Adminbereich auf Erweiterungen klicke:

Code: Alles auswählen

Allgemeiner Fehler
Kann Modul ./../includes/acp/acp_downloads.php nicht finden

BACKTRACE

FILE: (not given by php)
LINE: (not given by php)
CALL: msg_handler()

FILE: [ROOT]/includes/functions_module.php
LINE: 571
CALL: trigger_error()

FILE: [ROOT]/adm/index.php
LINE: 81
CALL: p_master->load_active()
Was habe ich vergessen?

Benutzeravatar
oxpus
Chief handy-man
Beiträge: 2423
Registriert: Do 13. Dez 2007, 23:06
Wohnort: Irgendwo im I-Net
Kontaktdaten:

Re: Wir der Download Mod kompatibel mit dem neuen phpBB 3.1

Beitrag von oxpus » So 22. Feb 2015, 11:14

Das wäre die Fehlermeldung aus dem "alten" Forum?!?
Bzw. der Versuch, die Erweiterung in das alte Forum oder die MOD in das neue Forum zu integrieren?
Karsten Ude

Kein Support zu unaufgeforderten PN's, Email oder via Messenger!

snej
Beiträge: 18
Registriert: Mi 9. Apr 2014, 12:45

Re: Wir der Download Mod kompatibel mit dem neuen phpBB 3.1

Beitrag von snej » So 22. Feb 2015, 12:15

Eigentlich müsste es das neue Forum sein.

Habe alle Dateien außer
config.php
files/
images/
store/ gelöscht.
Dann die Dateien neuen hochgeladen und die install/database_update.php augeführt.

Danach noch den Ordner oxpus in den Ordner /ext kopiert.

Benutzeravatar
oxpus
Chief handy-man
Beiträge: 2423
Registriert: Do 13. Dez 2007, 23:06
Wohnort: Irgendwo im I-Net
Kontaktdaten:

Re: Wir der Download Mod kompatibel mit dem neuen phpBB 3.1

Beitrag von oxpus » So 22. Feb 2015, 13:15

Die Meldung kommt
Aus dem alten Forum, denn das neue verwendet keine acp_downloads.php mehr.
Karsten Ude

Kein Support zu unaufgeforderten PN's, Email oder via Messenger!

snej
Beiträge: 18
Registriert: Mi 9. Apr 2014, 12:45

Re: Wir der Download Mod kompatibel mit dem neuen phpBB 3.1

Beitrag von snej » So 22. Feb 2015, 14:17

Da steht Version des Boards: 3.1.3 [ Version erneut prüfen ]

Muss wohl beim update was schief gelaufen sein. Leider kommt die Fehlermeldung weiterhin

Benutzeravatar
oxpus
Chief handy-man
Beiträge: 2423
Registriert: Do 13. Dez 2007, 23:06
Wohnort: Irgendwo im I-Net
Kontaktdaten:

Re: Wir der Download Mod kompatibel mit dem neuen phpBB 3.1

Beitrag von oxpus » So 22. Feb 2015, 14:26

Dann kopiere mal eine leere Datei mit dem angezeigten Namen da rein und du kannst erst mal wieder ins Acp.
Danach dann das Modul löschen und die Datei entfernen.
Es scheint so, als hätte der Konverter die bestehenden Module einfach mitgenommen und nicht zwischen board eigenen und Mod Modulen unterschiedlichen...
Karsten Ude

Kein Support zu unaufgeforderten PN's, Email oder via Messenger!

snej
Beiträge: 18
Registriert: Mi 9. Apr 2014, 12:45

Re: Wir der Download Mod kompatibel mit dem neuen phpBB 3.1

Beitrag von snej » So 22. Feb 2015, 17:44

Nach dem kopieren der Datei einfach da rein, kam eine neue, andere Fehlermeldung.

Das hat jedenfalls geholfen; bin aber noch nicht fertig mit dem update. Evtl. muss ich dich noch mal belästigen..
https://www.phpbb.com/community/viewtop ... &t=2283351
danke schon mal für alles

snej
Beiträge: 18
Registriert: Mi 9. Apr 2014, 12:45

Re: Wir der Download Mod kompatibel mit dem neuen phpBB 3.1

Beitrag von snej » Do 26. Feb 2015, 07:37

Ich habe beim update Probleme bzw. es ersheint immer eine Fehlermeldung.

Während der Anpassung der Datenbank ist etwas falsch gelaufen und ein Fehler aufgetreten. Die Änderungen, die vor dem Fehler durchgeführt wurden, wurden so weit wie möglich rückgängig gemacht. Du solltest jedoch prüfen, ob dein Board fehlerfrei funktioniert.

Die Konfigurationseinstellung „dl_ext_version“ existiert unerwarteterweise nicht.

Zurück zur Liste der Erweiterungen
Kann ich das irgendwie beheben?

Benutzeravatar
oxpus
Chief handy-man
Beiträge: 2423
Registriert: Do 13. Dez 2007, 23:06
Wohnort: Irgendwo im I-Net
Kontaktdaten:

Re: Wir der Download Mod kompatibel mit dem neuen phpBB 3.1

Beitrag von oxpus » Do 26. Feb 2015, 09:19

Hattest du denn die Extension auch im ACP korrekt aktiviert?
Dabei dürfte keine Fehlermeldung auftauchen und auch die benötigte Einstellung sollte vorhanden sein.

Also beim Wechsel von phpbb 3.0 auf 3.1 ist erst die Extension zu aktivieren und erst danach sind die Tabellen der alten Mod in der Datenbank aus den alten Forum zu übernehmen und dabei die neuen Tabellen der Extension zu ersetzen.
Karsten Ude

Kein Support zu unaufgeforderten PN's, Email oder via Messenger!

snej
Beiträge: 18
Registriert: Mi 9. Apr 2014, 12:45

Re: Wir der Download Mod kompatibel mit dem neuen phpBB 3.1

Beitrag von snej » Do 26. Feb 2015, 10:59

Vielen Dank. Da muss ich wirklich was mit der Reihenfolge vertauscht haben, nun funktioniert wieder alles und alle Downloads sind wieder da.

Antworten